# Uses of Class
org.apache.solr.client.solrj.impl.LBSolrClient.Rsp

Packages that use LBSolrClient.Rsp
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of LBSolrClient.Rsp in org.apache.solr.client.solrj.impl

Methods in org.apache.solr.client.solrj.impl that return LBSolrClient.Rsp
Modifier and Type
Method
Description
`LBSolrClient.Rsp`
LBSolrClient.`request(LBSolrClient.Req req)`
Tries to query a live server from the list provided in Req.
Methods in org.apache.solr.client.solrj.impl that return types with arguments of type LBSolrClient.Rsp
Modifier and Type
Method
Description
`CompletableFuture<LBSolrClient.Rsp>`
LBAsyncSolrClient.`requestAsync(LBSolrClient.Req req)`
Execute an asynchronous request against one or more hosts for a given collection.
Methods in org.apache.solr.client.solrj.impl with parameters of type LBSolrClient.Rsp
Modifier and Type
Method
Description
`protected Exception`
LBSolrClient.`doRequest(LBSolrClient.Endpoint baseUrl, LBSolrClient.Req req, LBSolrClient.Rsp rsp, boolean isNonRetryable, boolean isZombie)`